curl --request POST \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"organizationId": "<string>",
"partnerCode": "<string>",
"createdDate": "<string>",
"type": "BILLING",
"partnerCustomerId": "<string>",
"billingPaymentMethod": "<string>",
"updatedDate": "<string>",
"billingStatus": "CANCELLED"
}{
"code": "invalid-request",
"message": "<string>"
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "partner-subscription-not-found",
"message": "partner subscription not found"
}{
"code": "server-error",
"message": "<string>"
}Cancel an active Billing partner subscription
Request to cancel an active Billing partner subscription relationship.
curl --request POST \
--url https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/partnersub/v2/partnerSubscription/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"organizationId": "<string>",
"partnerCode": "<string>",
"createdDate": "<string>",
"type": "BILLING",
"partnerCustomerId": "<string>",
"billingPaymentMethod": "<string>",
"updatedDate": "<string>",
"billingStatus": "CANCELLED"
}{
"code": "invalid-request",
"message": "<string>"
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "partner-subscription-not-found",
"message": "partner subscription not found"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Path Parameters
The id parameter is the partner subscription ID entity.
36Response
OK
MarketONE partner service provisioning record identifier.
50The ID of the aggregator organization in MarketONE for which this record was created.
50The partner code as set by the partner admin in MarketONE.
15The timestamp (ISO 8601 format) when the partner service provisioning information record was created.
the type of the partner subscription record; ENTITLEMENT - is when the partner subscription is represeting a entitlement relationship (subscription is managed by MarketONE); BILLING - when the partner subscription is representing a billing relationship (subscription is managed by the partner).
BILLING, ENTITLEMENT MarketONE partner customer identifier.
50Billing payment method for the partner subscription.
15The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.
The status of the OTT billing partner subscription.
CANCELLED 50Was this page helpful?

